package com.yaoyicloud.service;


import com.yaoyicloud.constant.enums.ModuleType;
import com.yaoyicloud.constant.enums.ReportType;

import javax.servlet.http.HttpServletRequest;


/**
 * 报告服务
 *
 * @author snows
 * @date 2024/10/12
 */
public interface ReportService {

    @SuppressWarnings("checkstyle:ParameterNumber")
    String createPlusVersionCheckReport(
            ReportType reportType,
            String data,
            byte[] templateBytes,
            String outputBasePath,
            Long relationId,
            HttpServletRequest request,
            ModuleType moduleType,
            String name,
            Integer levelInteger,
            String tenantName
    ) throws Exception;

}
