package com.yaoyicloud.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 报告模块类型
 *
 */
@Getter
@AllArgsConstructor
public enum ModuleType {
    FOUNDATION_BASICINFO("FOUNDATION_BASICINFO", "基金会基本信息"),

    PLATFORM_COMPANY_BASICINFO("PLATFORM_COMPANY_BASICINFO", "平台公司基本信息"),
    ANTIBRIBERY("ANTIBRIBERY", "反贿赂反腐败诚信保证"),
    COMMON("COMMON", "公共模块封面"),
    PLATFORM_COMPANY_FinancialInfo("PLATFORM_COMPANY_FinancialInfo", "财务"),
    PLATFORM_COMPANY_ATTACHMENTSECTION("PLATFORM_COMPANY_ATTACHMENTSECTION", "平台公司附件"),
    PUBLIC_RECORD("PUBLIC_RECORD", "公共记录"),



    PLATFORM_COMPANY_BASICINFO_NEW("PLATFORM_COMPANY_BASICINFO", "工商信息"),
    ANTIBRIBERY_NEW("ANTIBRIBERY", "其他风险"),
    PLATFORM_COMPANY_FinancialInfo_NEW("PLATFORM_COMPANY_FinancialInfo", "经营风险"),
    PUBLIC_RECORD_NEW("PUBLIC_RECORD", "司法风险");
    /**
     * 类型
     */
    @EnumValue
    private final String type;

    /**
     * 描述
     */
    private final String desc;
}
